LibreOffice: UnoControlTabPageModel Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
UnoControlTabPageModel Service Referencepublished

specifies the standard model of a XTabPageModel. More...

`import"UnoControlTabPageModel.idl";`

Inheritance diagram for UnoControlTabPageModel:

## Exported Interfaces
interface | XTabPageModel

## Public Attributes
string | Title
| specifies the text that is displayed in the caption bar of the dialog. More...
string | HelpText
| specifies the help text of the dialog. More...
string | HelpURL
| specifies the help URL of the dialog. More...
boolean | HScroll
| specifies that a horizontal scrollbar should be added to the dialog More...
boolean | VScroll
| specifies that a vertical scrollbar should be added to the dialog More...
long | ScrollLeft
| specifies the horizontal position of the scrolled dialog content More...
long | ScrollTop
| specifies the vertical position of the scrolled dialog content More...
long | ScrollWidth
| specifies the total width of the scrollable dialog content More...
long | ScrollHeight
| specifies the total height of the scrollable dialog content More...
Public Attributes inherited from XTabPageModel
short | TabPageID
| ID for tab page. More...
boolean | Enabled
| determines whether a tab page is enabled or disabled. More...
string | Title
| specifies the text that is displayed in the tab bar of the tab page. More...
string | ImageURL
| specifies a URL that references a graphic that should be displayed in the tab bar. More...
string | ToolTip
| specifies a tooltip text that should be displayed in the tab bar. More...

## Detailed Description

specifies the standard model of a XTabPageModel.

Since
  OOo 3.4

## Exported Interfaces

## ◆ XTabPageModel

interface XTabPageModel

## Member Data Documentation

## ◆ HelpText

string HelpText
| optionalproperty

specifies the help text of the dialog.

## ◆ HelpURL

string HelpURL
| optionalproperty

specifies the help URL of the dialog.

## ◆ HScroll

boolean HScroll
| optionalproperty

specifies that a horizontal scrollbar should be added to the dialog

Since
  LibreOffice 7.1

## ◆ ScrollHeight

long ScrollHeight
| optionalproperty

specifies the total height of the scrollable dialog content

Since
  LibreOffice 7.1

## ◆ ScrollLeft

long ScrollLeft
| optionalproperty

specifies the horizontal position of the scrolled dialog content

Since
  LibreOffice 7.1

## ◆ ScrollTop

long ScrollTop
| optionalproperty

specifies the vertical position of the scrolled dialog content

Since
  LibreOffice 7.1

## ◆ ScrollWidth

long ScrollWidth
| optionalproperty

specifies the total width of the scrollable dialog content

Since
  LibreOffice 7.1

## ◆ Title

string Title
| optionalproperty

specifies the text that is displayed in the caption bar of the dialog.

## ◆ VScroll

boolean VScroll
| optionalproperty

specifies that a vertical scrollbar should be added to the dialog

Since
  LibreOffice 7.1

The documentation for this service was generated from the following file:

- com/sun/star/awt/tab/UnoControlTabPageModel.idl